module val2x16(D);
	output [15:0] D;

	wire [15:0] D;

	assign D = 2;
endmodule

module val0x16(D);
	output [15:0] D;

	wire [15:0] D;

	assign D = 0;
endmodule

module valFFFFx16(D);
	output [15:0] D;

	wire [15:0] D;

	assign D = 'hFEFE;
endmodule

module concat2x8(U,L,Q);
	input [7:0] U;
	input [7:0] L;

	output [15:0] Q;

	wire [15:0] Q;

	assign Q = (U << 8) | L;
endmodule

module split2x8(D,U,L);
	input [15:0] D;

	output [7:0] U;
	output [7:0] L;

	wire [7:0] U;
	wire [7:0] L;

	assign U = D[15:8];
	assign L = D[7:0];
endmodule
